Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Asynch_Accept::Result Class Reference

This is that class which will be passed back to the <handler> when the asynchronous accept completes. More...

`#include <Asynch_IO.h>`

Inheritance diagram for ACE_Asynch_Accept::Result

[legend]
Collaboration diagram for ACE_Asynch_Accept::Result:

[legend]
List of all members.

## Public Methods
u_long | bytes_to_read (void) const
| The number of bytes which were requested at the start of the asynchronous accept.
ACE_Message_Block& | message_block (void) const
| Message block which contains the read data.
ACE_HANDLE | listen_handle (void) const
| I/O handle used for accepting new connections.
ACE_HANDLE | accept_handle (void) const
| I/O handle for the new connection.
ACE_Asynch_Accept_Result_Impl* | implementation (void) const
| Get the implementation.
## Protected Methods
| Result (ACE_Asynch_Accept_Result_Impl *implementation)
| Contructor. Implementation will not be deleted.
virtual | ~Result (void)
| Destructor.
## Protected Attributes
ACE_Asynch_Accept_Result_Impl* | implementation_
| Impelmentation class.
## Friends
class | ACE_POSIX_Asynch_Accept_Result
class | ACE_WIN32_Asynch_Accept_Result

## Detailed Description

This is that class which will be passed back to the <handler> when the asynchronous accept completes.

This class has all the information necessary for the <handler> to uniquiely identify the completion of the asynchronous accept.

## Constructor & Destructor Documentation

ACE_Asynch_Accept::Result::Result ( | ACE_Asynch_Accept_Result_Impl * implementation )`[protected]`

| Contructor. Implementation will not be deleted.

ACE_Asynch_Accept::Result::~Result ( | void )`[protected, virtual]`

| Destructor.

## Member Function Documentation

ACE_HANDLE ACE_Asynch_Accept::Result::accept_handle ( | void ) const

| I/O handle for the new connection.

u_long ACE_Asynch_Accept::Result::bytes_to_read ( | void ) const

| The number of bytes which were requested at the start of the asynchronous accept.

ACE_Asynch_Accept_Result_Impl * ACE_Asynch_Accept::Result::implementation ( | void ) const

| Get the implementation. Reimplemented from ACE_Asynch_Result.

ACE_HANDLE ACE_Asynch_Accept::Result::listen_handle ( | void ) const

| I/O handle used for accepting new connections.

ACE_Message_Block & ACE_Asynch_Accept::Result::message_block ( | void ) const

| Message block which contains the read data.

## Friends And Related Function Documentation

class ACE_POSIX_Asynch_Accept_Result`[friend]`

| The concrete implementation result classes only construct this class.

class ACE_WIN32_Asynch_Accept_Result`[friend]`

## Member Data Documentation

ACE_Asynch_Accept_Result_Impl * ACE_Asynch_Accept::Result::implementation_`[protected]`

| Impelmentation class. Reimplemented from ACE_Asynch_Result.

The documentation for this class was generated from the following files:

- Asynch_IO.h
- Asynch_IO.cpp